package com.company.sampleflow2.view.user;

import com.company.sampleflow2.entity.User;
import com.company.sampleflow2.view.main.MainView;
import com.vaadin.flow.router.Route;
import io.jmix.flowui.view.*;

@Route(value = UserListView.ROUTE, layout = MainView.class)
@UiController("flow2_User.list")
@UiDescriptor("user-list-view.xml")
@LookupComponent("usersTable")
@DialogMode(width = "800px", height = "600px")
public class UserListView extends StandardListView<User> {

    public static final String ROUTE = "users";
}